List RFIs
GET
List the organization's requests-for-information (RFIs), newest first. Defaults to the open ones (open, submitted)
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
status?array<>Comma-separated statuses. Defaults to the open ones: open,submitted
Items
1 <= itemstype?array<>Comma-separated types
Items
1 <= itemscustomerId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidtransactionReferenceId?stringOnly RFIs about this payment (its deposit id)
Length
1 <= length <= 200limit?integerRange
1 <= value <= 100Default
50cursor?stringnext_cursor from the previous page
Length
1 <= length <= 200Default Response
application/json- response
rfis*array<>next_cursor?stringPass as cursor for the next page; absent on the last page
curl -X GET 'https://api.sandbox.stables.money/api/v1/rfis'Example Response
{ "rfis": [ { "rfi_id": "67dff3e5-8fe4-4fc3-bd34-9ccc65996247", "type": "verification", "status": "open", "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "subject": "customer", "kyc_level": "string", "transaction_reference_id": "string", "transaction_type": "transfer", "transfer_id": "string", "virtual_account_id": "string", "reasons": [ { "reason_code": "string", "description": "string" } ], "message": "string", "billable": true, "fee": { "amount_minor": "string", "currency": "string" }, "requirements": [ { "requirement_id": "6bcf6ec7-61c3-4af0-a310-59616a4dac61", "type": "kyc_level", "required_level": "string", "status": "pending", "action": { "kind": "verification_link", "verification_type": "string" } } ], "rejection_reason": "string", "rejected_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}Requests for information (RFIs) are what Stables compliance needs before it can release a held payment or a held verification level. This lists your organisation's RFIs across all customers, open ones first by default.
Subscribe to the rfi.created, rfi.updated and rfi.resolved webhooks to hear about new RFIs as they happen.